Skip to main content
POST
Cancel vector store file batch

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vector_store_id
string
required

The ID of the vector store that the file batch belongs to.

batch_id
string
required

The ID of the file batch to cancel.

Response

200 - application/json

OK

A batch of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always vector_store.file_batch.

Available options:
vector_store.files_batch
created_at
integer
required

The Unix timestamp (in seconds) for when the vector store files batch was created.

vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

Available options:
in_progress,
completed,
cancelled,
failed
file_counts
object
required